1.0
1.0
post /v1/landing-zones
Description
Create a landing zone
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LandingZoneCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LandingZoneCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/landing-zones
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Request body
{
"additional_ou_name": "Sandbox",
"agree_yn": "Y",
"audit_account_name": "AUDIT",
"audit_login_id": "audit@samsung.com",
"basic_ou_name": "Security",
"log_archive_account_name": "LOG_ARCHIVE",
"log_archive_login_id": "log-archive@samsung.com",
"sso_type": "ID_CENTER"
}
Example HTTP response
Response 201
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}